#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file demonstrates the possibility to have more than one Gtk::Window 
# side by side. It may be useful to know if you ever encounter such a 
# use case in reallife.
# =========================================================================== #
require 'gtk2'

w1 = Gtk::Window.new
w1.add(Gtk::VBox.new.add(Gtk::Label.new('Window #1')))
w2 = Gtk::Window.new
w2.add(Gtk::VBox.new.add(Gtk::Label.new('Window #2')))
w3 = Gtk::Window.new
w3.add(Gtk::VBox.new.add(Gtk::Label.new('Window #3')))
w1.set_size_request(500, 500).show_all
w2.set_size_request(500, 500).show_all
w3.set_size_request(500, 500).show_all
Gtk.main